org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class AddExceptionBreakpointAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.AddExceptionBreakpointAction

    public class AddExceptionBreakpointAction
    extends java.lang.Object

Adds new exception breakpoint. It doesn't really make sense to have more than 2 such breakpoints (one for uncaught and one for all breakpoints to be able to disable/enable them), but there is no elegant way of limiting this.

### Constructor Summary

Constructors
Constructor and Description
`AddExceptionBreakpointAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `init(IWorkbenchWindow window)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddExceptionBreakpointAction

    public AddExceptionBreakpointAction()

### Method Detail

#### run

    public void run(IAction action)

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

#### dispose

    public void dispose()

#### init

    public void init(IWorkbenchWindow window)